// C Source File
// Created 3/6/2002; 3:15:46 PM
unsigned long benchmark(void);

#define USE_TI89              // Produce .89z File
#define USE_TI92PLUS          // Produce .9xz File
#define USE_V200

#define NO_CALC_DETECT
#define NO_AMS_CHECK
#define NO_EXIT_SUPPORT
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#include <tigcclib.h>         // Include All Header Files
#include "ExtraLib.h"					// A library containing some special stuff... Written By MySelf

#define fatal(s)ST_helpMsg(s);return;


//this should be very accurate on HW2 calculators
//and should provide an approximation on HW1 calcs
void _main(void)
{
		char buff[100];
		float f;
		
		if(Check_VTI())
		{
			ST_helpMsg("ERROR: VTI detected");
			return;
		}
		ST_helpMsg("Testing...");
	
		OSSetSR(0x200);
			f=(18*benchmark())/1000000.0;
		OSSetSR(0);

		if(!HW_Version())//HW2 calculated value is 1
			f*=1.35;	//(this is an arbitrary number) HW1 calculated expected is 1.285807 - 1.542969
		
		sprintf(buff,"mhz: %f",f);
		ST_helpMsg(buff);
}
